= spin(1)
:doctype: manpage
:manmanual: tailspin
:man source: tailspin {release-version}
:revdate: {docdate}

ifdef::env-github[]
:toc:
:toc-title:
:toc-placement!:
:numbered:
endif::[]

== NAME

spin - A log file highlighter

== SYNOPSIS

*spin* [_OPTION_]... [_FILE_]...

== DESCRIPTION

tailspin is a command line tool that highlights log files.

== OPTIONS

*-f, --follow*::
Follow (tail) the contents of the file.

*-p, --print*::
Print the output to stdout instead of viewing the contents in the pager _less_.

*-c, --config-path* _CONFIG_PATH_::
Specify the path to a custom configuration file.

*-t, --tail-command* _COMMAND_::
Tail the output of the provided command.
Useful for when you have a command which continuously prints to stdout.
The command traps the interrupt signal to allow for cancelling and resuming tailing while inside _less_.

*--create-default-config*::
Generate a new configuration file.
Uses XDG_CONFIG_HOME as the location if set.
Otherwise, uses ~/.config/tailspin/config.toml as the default path.
Will not overwrite current config file if one is already present.

*--show-default-config*::
Print the default configuration.

== SEE ALSO

*less*(1), *tail*(1)

== About

Ben Sadeh (github.com/bensadeh/tailspin)

Released under the MIT License
